List Browser Use computers and saved snapshots

List Browser Use computers and saved snapshots

Reads available computers without resuming them. Supply computerId to list its saved snapshots.

GET/api/sandbox/browser-sources
Query parameters
workflowIdstring
cursorstring
computerIdstring

Request

curl
curl -X GET https://trickest.io/api/sandbox/browser-sources \
  -H "Authorization: Token $TRICKEST_TOKEN"

Responses

200Available sources
computersobject[]required

idstringrequired
namestringrequired
iconIdstringrequired
statusstringrequired
nextCursorstringrequired
snapshotsobject[]

idstringrequired
createdAtstringrequired
versionnumber
400Bad Request – validation error or malformed input
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

401Unauthorized – missing or expired token
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

403Forbidden – insufficient permissions
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

429Too Many Requests – rate limited
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

500Internal Server Error
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.